#include <stdio.h>
int main(void){
    int n=0;
    float epsilon=1.0;
    double condition ;
    do {
        epsilon/=10.0;
        n++;
        condition = 1.0+epsilon ;
    //} while(condition!=1.0);
    } while(1.0+epsilon!=1.0	);
    printf("epsilon = 10^-%d\n",n);
    return 0;
}

/*
Dans ce cas "condition" est un float dont la mantisse est codée sur 24 bits et le bit le moins significatif représente donc 2^-24 = 6.10^-8
Si condition est déclaré comme double, alors la mantisse est codée sur 48 bits et le bit le moins significatif représente donc 2^-48 = 3,6.10^-15
Si maintenant vous reprenez le programme du TP, le calcul est fait dans les registres du processeurs. Dans le cas des salles de TP, l'architecture est Intel et les calculs sont avec une mantisse de 64 bits. Le bit le moins significatif représente donc 2^-64 = 4.10^-20

*/

