/**
 * Correction exercice 7.4
 * Ph Lefebvre
 * 2019
 * 
*/
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
#define CHAINE_LEN 1000

/** retourne le nombre d'espaces dans une chaine de caractères
 */
int nbEspaces (const char chaine[]){
	int i, nb=0;
	for (i=0; i<strlen(chaine) ; i++)
		if(chaine[i]==' ') { nb++; }

	return nb;
}

/** Retourne l'index de la position du prochain espace ou du prochain '\0' ou '\n' dans la chaine
 * à partir de la position i
 */
int chercheEspaceSuivant (int i, const char *chaine) {
	int idx=i ;
	while (chaine[idx] != '\0' && chaine[idx] != ' ' && chaine[idx] != '\n') { idx ++ ; } 
	return idx ;
}

/** retourne le tableau des mots de la chaine
 * *nbMots contiendra le nombre de mots trouvés
 * Retourne NULL si aucun mot trouvé
 */
char ** parseMots(const char *chaine, int *nbMots){
	int idxMot=0, idxCar=0, idxEspace=0;
	int lgMot ;
	char **tabMots ;
	if (chaine == NULL ) { *nbMots = 0 ; return NULL ; }
	*nbMots = nbEspaces(chaine)+1;
		printf ("nbMots = %d\n", *nbMots) ;

	tabMots = (char**) malloc (*nbMots * sizeof (char *) + 1) ; // +1 pour la place de \0
	idxMot = 0 ; idxCar = 0;
	while (idxMot < *nbMots ) {
		printf ("idxMot = %d\n", idxMot) ;
		printf ("idxCar = %d\n", idxCar) ;
		idxEspace = chercheEspaceSuivant(idxCar, chaine) ;
		if (idxEspace ==0 ) { *nbMots = 0 ; return NULL ; }
		printf ("idxEspace = %d\n\n", idxEspace) ;

		lgMot = idxEspace-idxCar ;
		tabMots[idxMot] = (char *) malloc ( lgMot*sizeof(char) ) ;
		sscanf (&(chaine[idxCar]), "%s", tabMots[idxMot] ) ;
		idxMot ++ ;
		idxCar = idxEspace+1 ;
	}
	return tabMots;
}

/** Main de validation */

int main (int argc, char **argv) {
	int  i;
	char chaine[CHAINE_LEN] ;
	char **tabMots ;
	int nbMots ;
	char *nomFichier="fichierDeMots.txt" ;
	FILE *fp ; 
	fp = fopen (nomFichier, "r") ;
	if (fp == NULL) {
		perror("Probleme lecture fichier") ;
		return (EXIT_FAILURE);
	}
	fgets (chaine, CHAINE_LEN, fp );
	printf ("chaine = **%s**\n", chaine ) ;
	fclose (fp) ;	
	tabMots = parseMots(chaine, &nbMots ) ;
	printf ("nbMots = %d\n", nbMots) ;
	for (i = 0 ; i< nbMots ; i++ ){
			printf("***%s***\n", tabMots[i]) ;
	}
	printf("FIN !\n") ;
	return (EXIT_SUCCESS);
}
